View Issue Details

IDProjectCategoryView StatusLast Update
14527Bug reports[All Projects] Import/Exportpublic2019-04-30 09:11
ReporterboggianoAssigned Todominikvitt 
PrioritynoneSeveritymajor 
Status closedResolutionfixed 
Product Version3.15.x 
Target VersionFixed in Version3.15.x 
Summary14527: Error in import : This is not a valid LimeSurvey survey structure XML file
Description

Can't import a very large survey ( ~ 15 MB )

As soon as I upload the file I get the message:
"Success
File upload succeeded.
Error
This is not a valid LimeSurvey survey structure XML file."

Steps To Reproduce

Just try to upload the lss in the ticket

Additional Information

I already modified the php.ini:
max_execution_time
max_input_time
memory_limit
post_max_size
upload_max_filesize

URL to file lss file:
http://s000.tinyupload.com/index.php?file_id=97395941513994626910

TagsNo tags attached.
Complete LimeSurvey version number (& build)Version 3.15.8+190130
I will donate to the project if issue is resolvedNo
Browser
Database & DB-Versionmysql Ver 15.1 Distrib 10.0.38-MariaDB
Server OS (if known)
Webserver software & version (if known)
PHP VersionPHP 7.0.33-0ubuntu0.16.04.1

Activities

jelo

jelo

2019-02-14 14:41

partner   ~50553

Fine, please try the following.

Remove content inside the cells (see names below) and try to import that modified file.
<surveyls_welcometext>
<surveyls_endtext>
<surveyls_url>
<surveyls_email_remind>
<surveyls_email_invite>
<email_admin_responses>

boggiano

boggiano

2019-02-14 14:56

reporter   ~50554

Yes Jelo!
It worked: thank you!

DenisChenu

DenisChenu

2019-02-14 16:13

developer   ~50555

Not resolved :

&lt;surveyls_welcometext>
&lt;surveyls_endtext>
&lt;surveyls_url>
&lt;surveyls_email_remind>
&lt;surveyls_email_invite>
&lt;email_admin_responses>

Is valid in XML , and must be allowed , or shown an error if don't accept null.

DenisChenu

DenisChenu

2019-02-14 16:22

developer   ~50556

;)

jelo

jelo

2019-02-14 16:25

partner   ~50557

Last edited: 2019-02-14 16:26

View 2 revisions

Feel free to continue. If LS 3 should be able to import all old stuff, good luck on that mission.

The trigger for these error messages are often that broad that the root issue is not clear.

dominikvitt

dominikvitt

2019-02-19 11:37

developer   ~50623

https://github.com/LimeSurvey/LimeSurvey/commit/df3e06abd370a0a0846281fab7e9da09981979d8

Issue History

Date Modified Username Field Change
2019-02-14 11:39 boggiano New Issue
2019-02-14 14:38 jelo Assigned To => jelo
2019-02-14 14:38 jelo Status new => assigned
2019-02-14 14:41 jelo Note Added: 50553
2019-02-14 14:56 boggiano Note Added: 50554
2019-02-14 15:00 jelo Status assigned => resolved
2019-02-14 15:00 jelo Resolution open => no change required
2019-02-14 16:13 DenisChenu Status resolved => new
2019-02-14 16:13 DenisChenu Resolution no change required => reopened
2019-02-14 16:13 DenisChenu Note Added: 50555
2019-02-14 16:21 jelo Assigned To jelo => DenisChenu
2019-02-14 16:22 DenisChenu Assigned To DenisChenu =>
2019-02-14 16:22 DenisChenu Note Added: 50556
2019-02-14 16:25 jelo Note Added: 50557
2019-02-14 16:26 jelo Note Edited: 50557 View Revisions
2019-02-19 11:31 dominikvitt Assigned To => dominikvitt
2019-02-19 11:31 dominikvitt Status new => assigned
2019-02-19 11:37 dominikvitt Status assigned => resolved
2019-02-19 11:37 dominikvitt Fixed in Version => 3.15.x
2019-02-19 11:37 dominikvitt Note Added: 50623
2019-02-19 11:38 dominikvitt Resolution reopened => fixed
2019-04-30 09:11 c_schmitz Status resolved => closed